Subject: Re: [rtcweb] Stephen Farrell's Discuss on draft-ietf-rtcweb-stun-consent-freshness-15: (with DISCUSS and COMMENT)

From: Christer Holmberg <[email-masked]>
Date: Thu, 6 Aug 2015 07:06:43 +0000

Hi,

>>> (1) Why call this "consent?" That term is (ab)used in many ways on 
>>> the web, and adding another variation without a definition that 
>>> distinguishes this from "click ok to my 200 page anti-privacy policy" 
>>> or "remember that example.com is allowed use my camera/mic" seems 
>>> like a terrible idea. I also don't see how this can ever be something 
>>> to which a normal person can "consent" (i.e.
>>> consciously agree while fully understanding) so the term is IMO very 
>>> misleading, and will I fear be used to mislead further.  (See also 
>>> some of the comments below - I do not think we ought be as fast and 
>>> loose with this aleady terribly badly used term.) To summarise: I'd 
>>> love if you did s/consent/anything-else/g but if not, please define 
>>> consent here in a way that clearly and unambiguously distinguishes 
>>> this usage from other abuses of the term.
>>>
>> 
>> You should probably propose a new term at this point.
>
>  Really? Happy to try (and fail:-) How'd "willing to take rtcweb traffic" work? I suspect it wouldn't though.

This is IETF, so if you are going to use that many words you need to come up with a cool abbreviation :)

Seriously, I am not sure "willing to" is any different from "consent". Isn't the important thing to make it clear that the draft doesn't talk about USER consent, but "application level" consent?

Regards,

Christer